{
  "name": "{{ agave.appsPrefix }}-seqkit-fastq-pair-gf2",
  "version": "0.16.0.01",
  "label": "Filter unpaired reads from FASTQ with SeqKit",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/seqkit-fastq-pair-gf2-0.16.0-01",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "seqkit-fastq-pair-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "pair",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "threads",
      "value": {
        "required": false,
        "default": 4,
        "type": "number"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": false,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": false,
        "default": ":",
        "type": "string"
      }
    }
  ]
}